petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetErrorIfFailure

Causes Mat to generate an error, for example a zero pivot, is detected.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetErrorIfFailure(Mat mat,PetscBool flg)

Logically Collective on Mat Many br

### Input Parameters

| mat | - matrix obtained from MatCreate() Many br
| flg | - PETSC_TRUE indicates you want the error generated Many br

Many br

### Keywords

Mat, set, initial guess, nonzero

### See Also

PCSetErrorIfFailure()

Level:advanced
Location:src/mat/utils/gcreate.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages